https://your-domain.atlassian.net/rest/api/3/workflow/transitions/{transitionId}/propertiesReturns the properties on a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see Transition properties and Workflow properties. **Permissions required:** *Administer Jira* global permission.
The ID of the transition. To get the ID, view the workflow in text mode in the Jira administration console. The ID is shown next to the transition.
Some properties with keys that have the *jira.* prefix are reserved, which means they are not editable. To include these properties in the results, set this parameter to *true*.
The key of the property being returned, also known as the name of the property. If this parameter is not specified, all properties on the transition are returned.
The name of the workflow that the transition belongs to.
The workflow status. Set to *live* for active and inactive workflows, or *draft* for draft workflows.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/workflow/transitions/{transitionId}/properties' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/workflow/transitions/{transitionId}/propertiesReturns the properties on a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see Transition properties and Workflow properties. **Permissions required:** *Administer Jira* global permission.
The ID of the transition. To get the ID, view the workflow in text mode in the Jira administration console. The ID is shown next to the transition.
Some properties with keys that have the *jira.* prefix are reserved, which means they are not editable. To include these properties in the results, set this parameter to *true*.
The key of the property being returned, also known as the name of the property. If this parameter is not specified, all properties on the transition are returned.
The name of the workflow that the transition belongs to.
The workflow status. Set to *live* for active and inactive workflows, or *draft* for draft workflows.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/workflow/transitions/{transitionId}/properties' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}